Delete dashboard
curl --request DELETE \
--url https://app.azalt.co/api/v1/dashboards/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.azalt.co/api/v1/dashboards/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.azalt.co/api/v1/dashboards/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"organizationId": "<string>",
"isPublic": true,
"publicCanFilterSites": true,
"order": 123,
"globalFilter": {
"siteIds": [
"<string>"
],
"startYear": 123,
"endYear": 123,
"startDate": "<string>",
"endDate": "<string>",
"statuses": [
"COMPLETED"
]
},
"createdAt": "<string>",
"updatedAt": "<string>",
"hasPassword": true,
"requiresEmail": true,
"publicAccessEmails": [
"jsmith@example.com"
],
"publicAccessDomains": [
"<string>"
],
"organizationDefaultStatuses": [
"COMPLETED"
],
"widgetTheme": {
"mode": "default",
"customColors": [
"<string>"
],
"aggregateLines": {
"totalColor": "<string>",
"averageColor": "<string>",
"peerAverageColor": "<string>",
"totalLineStyle": "solid",
"averageLineStyle": "solid",
"peerAverageLineStyle": "solid",
"totalStrokeWidth": 4.5,
"averageStrokeWidth": 4.5,
"peerAverageStrokeWidth": 4.5
}
},
"tags": [
"<string>"
]
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Dashboard
Delete dashboard
Permanently delete a dashboard and all its widgets:
Parameters:
id: Dashboard ID to delete
⚠️ Important Warnings:
- This action cannot be undone
- All widgets in the dashboard will be deleted
- Public links will stop working
- Requires manager permissions or higher
Consider backing up important dashboards before deletion.
DELETE
/
dashboards
/
{id}
Delete dashboard
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful response
Show child attributes
Show child attributes
Pattern:
^(?!-)(?:[a-z0-9-]{1,63}\.)+[a-z]{2,63}$Available options:
COMPLETED, APPROVED, REJECTED Show child attributes
Show child attributes

